> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/installation/system-architecture-and-configuration/kubernetes-deployment/config.jsonc.md).

# config.jsonc

This page describes in detail all the fields in config.jsonc

<table><thead><tr><th width="208.79998779296875">Name</th><th width="106.20001220703125">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td>kubernetesVersion</td><td>string</td><td>The version of Kubernetes to use for the cluster. Make sure the chosen version here is compatible with the Kubernetes versions that are supported by your cloud solution.</td><td>true</td></tr><tr><td>clusterName</td><td>string</td><td>The human readable name of the Kubernetes cluster within your cloud solution.</td><td>true</td></tr><tr><td>licenseKey</td><td>string</td><td>The license key required for the creation of an Ellipsis Drive Kubernetes cluster. This will be provided to you by your Ellipsis Drive contact upon request.</td><td>true</td></tr><tr><td>loginSecret</td><td>string</td><td>Secret for login JWT creation. Randomly generated if omitted.</td><td>false</td></tr><tr><td>oauthSecret</td><td>string</td><td>Secret for oauth JWT creation. Randomly generated if omitted.</td><td>false</td></tr><tr><td>mainDbPassword</td><td>string</td><td>The password of the main database cluster. Randomly generated if omitted.</td><td>false</td></tr><tr><td>vectorDbPassword</td><td>string</td><td>The password of the vector data database cluster. Randomly generated if omitted.</td><td>false</td></tr><tr><td>cacheDbPassword</td><td>string</td><td>The password of the cache database cluster. Randomly generated if omitted.</td><td>false</td></tr><tr><td>internalMailUsername</td><td>string</td><td>Name of the email address from which to send mails about issues with the system. Currently only gmail addresses are supported for this.</td><td>true</td></tr><tr><td>internalMailPassword</td><td>string</td><td>Password of the email address from which to send mails about issues with the system. Currently only gmail addresses are supported for this.</td><td>true</td></tr><tr><td>noReplyMailUsername</td><td>string</td><td>Name of the email address from which to send mails to users. Currently only gmail addresses are supported for this.</td><td>true</td></tr><tr><td>noReplyMailPassword</td><td>string</td><td>Password of the email address from which to send mails to users. Currently only gmail addresses are supported for this.</td><td>true</td></tr><tr><td>googleClientId</td><td>string</td><td>Google client id for login with google. Login with google is disabled if omitted.</td><td>false</td></tr><tr><td>googleClientSecret</td><td>string</td><td>Google client secret for login with google. Login with google is disabled if omitted.</td><td>false</td></tr><tr><td>apiUrl</td><td>string</td><td>The url of the api to use. Note that the DNS records cannot be created automatically.</td><td>true</td></tr><tr><td>frontendUrl</td><td>string</td><td>The url of the website to use. Note that the DNS records cannot be created automatically.</td><td>true</td></tr><tr><td>masterZone</td><td>string</td><td>The main cloud region to use within your cloud environment.</td><td>true</td></tr><tr><td>masterZoneAbbreviation</td><td>string</td><td>Shorthand human readable name for the main cloud region.</td><td>true</td></tr><tr><td>companyName</td><td>string</td><td>Human readable name of your organization. Used for email branding.</td><td>true</td></tr><tr><td>deploymentName</td><td>string</td><td>Human readable name of the deployment. User for payment processing.</td><td>true</td></tr><tr><td>enablePlans</td><td>string</td><td>String "true" or "false" defining whether the Ellipsis Drive instance should support payment. Use "true" if you're planning to let external parties use your instance instead of using it internally.</td><td>true</td></tr><tr><td>cloudProvider</td><td>string</td><td>The name of the cloud provider you use. Currently only "aws" is supported.</td><td>true</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/installation/system-architecture-and-configuration/kubernetes-deployment/config.jsonc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
